<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>dataplatform</artifactId>
        <groupId>com.liangjian</groupId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>member-common</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.2.4</version>
        </dependency>
        <!-- oracle -->
        <dependency>
            <groupId>com.oracle</groupId>
            <artifactId>ojdbc14</artifactId>
            <version>10.2.0.2.0</version>
            <systemPath>${project.basedir}/lib/ojdbc14-10.2.0.2.0.jar</systemPath>
            <scope>system</scope>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.68</version>
        </dependency>
        <dependency>
            <groupId>pentaho-kettle</groupId>
            <artifactId>kettle-core</artifactId>
            <version>4.1.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/kettle-core-4.1.0.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>pentaho-kettle</groupId>
            <artifactId>kettle-vfs</artifactId>
            <version>20100924</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/kettle-vfs-20100924.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>pentaho-kettle</groupId>
            <artifactId>aggdesigner-algorithm</artifactId>
            <version>5.1.5</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/pentaho-aggdesigner-algorithm-5.1.5-jhyde.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cloudera</groupId>
            <artifactId>ImpalaJDBC41</artifactId>
            <version>2.5.42</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/ImpalaJDBC41-2.5.42.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.thoughtworks.xstream</groupId>
            <artifactId>xstream</artifactId>
            <version>1.3.1</version>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.6</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-exec</artifactId>
            <version>1.3</version>
        </dependency>
        <dependency>
            <groupId>com.itextpdf</groupId>
            <artifactId>itextpdf</artifactId>
            <version>5.5.11</version>
        </dependency>
        <dependency>
            <groupId>com.itextpdf</groupId>
            <artifactId>itext-asian</artifactId>
            <version>5.2.0</version>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <version>1.54</version>
        </dependency>
        <dependency>
            <groupId>de.schlichtherle.truezip</groupId>
            <artifactId>truezip-file</artifactId>
            <version>7.7.10</version>
        </dependency>
        <dependency>
            <groupId>de.schlichtherle.truezip</groupId>
            <artifactId>truezip-driver-zip</artifactId>
            <version>7.7.10</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>4.1.0</version>
        </dependency>
        <dependency>
            <groupId>com.linuxense</groupId>
            <artifactId>javadbf</artifactId>
            <version>0.4.0</version>
        </dependency>
        <dependency>
            <groupId>net.sourceforge.jexcelapi</groupId>
            <artifactId>jxl</artifactId>
            <version>2.6.12</version>
        </dependency>
        <dependency>
            <groupId>org.scannotation</groupId>
            <artifactId>scannotation</artifactId>
            <version>1.0.3</version>
            <exclusions>
                <exclusion>
                    <groupId>org.javassist</groupId>
                    <artifactId>org.javassist</artifactId>
                    <!--<version>3.12.1-GA</version>-->
                </exclusion>
            </exclusions>
        </dependency>


    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-install-plugin</artifactId>
                <version>2.5.2</version>
                <executions>
                    <execution>
                        <id>install-external</id>
                        <phase>clean</phase>
                        <configuration>
                            <file>${project.basedir}/lib/kettle-core-4.1.0.jar</file>
                            <repositoryLayout>default</repositoryLayout>
                            <groupId>pentaho-kettle</groupId>
                            <artifactId>kettle-core</artifactId>
                            <version>4.1.0</version>
                            <packaging>jar</packaging>
                            <generatePom>true</generatePom>
                        </configuration>
                        <goals>
                            <goal>install-file</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>install-external1</id>
                        <phase>clean</phase>
                        <configuration>
                            <file>${project.basedir}/lib/kettle-vfs-20100924.jar</file>
                            <repositoryLayout>default</repositoryLayout>
                            <groupId>pentaho-kettle</groupId>
                            <artifactId>kettle-vfs</artifactId>
                            <version>20100924</version>
                            <packaging>jar</packaging>
                            <generatePom>true</generatePom>
                        </configuration>
                        <goals>
                            <goal>install-file</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>install-external2</id>
                        <phase>clean</phase>
                        <configuration>
                            <file>${project.basedir}/lib/pentaho-aggdesigner-algorithm-5.1.5-jhyde.jar</file>
                            <repositoryLayout>default</repositoryLayout>
                            <groupId>pentaho-kettle</groupId>
                            <artifactId>aggdesigner-algorithm</artifactId>
                            <version>5.1.5</version>
                            <packaging>jar</packaging>
                            <generatePom>true</generatePom>
                        </configuration>
                        <goals>
                            <goal>install-file</goal>
                        </goals>
                    </execution>

                    <execution>
                        <id>install-external3</id>
                        <phase>clean</phase>
                        <configuration>
                            <file>${project.basedir}/lib/ImpalaJDBC41-2.5.42.jar</file>
                            <repositoryLayout>default</repositoryLayout>
                            <groupId>com.cloudera</groupId>
                            <artifactId>ImpalaJDBC41</artifactId>
                            <version>2.5.42</version>
                            <packaging>jar</packaging>
                            <generatePom>true</generatePom>
                        </configuration>
                        <goals>
                            <goal>install-file</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>


</project>